# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/homebrew/bin/cmake

# The command to remove a file.
RM = /opt/homebrew/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build

# Include any dependencies generated for this target.
include examples/CMakeFiles/server_example.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include examples/CMakeFiles/server_example.dir/compiler_depend.make

# Include the progress variables for this target.
include examples/CMakeFiles/server_example.dir/progress.make

# Include the compile flags for this target's objects.
include examples/CMakeFiles/server_example.dir/flags.make

examples/CMakeFiles/server_example.dir/codegen:
.PHONY : examples/CMakeFiles/server_example.dir/codegen

examples/CMakeFiles/server_example.dir/server_example.cpp.o: examples/CMakeFiles/server_example.dir/flags.make
examples/CMakeFiles/server_example.dir/server_example.cpp.o: /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/examples/server_example.cpp
examples/CMakeFiles/server_example.dir/server_example.cpp.o: examples/CMakeFiles/server_example.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object examples/CMakeFiles/server_example.dir/server_example.cpp.o"
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples && /Library/Developer/CommandLineTools/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT examples/CMakeFiles/server_example.dir/server_example.cpp.o -MF CMakeFiles/server_example.dir/server_example.cpp.o.d -o CMakeFiles/server_example.dir/server_example.cpp.o -c /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/examples/server_example.cpp

examples/CMakeFiles/server_example.dir/server_example.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/server_example.dir/server_example.cpp.i"
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples && /Library/Developer/CommandLineTools/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/examples/server_example.cpp > CMakeFiles/server_example.dir/server_example.cpp.i

examples/CMakeFiles/server_example.dir/server_example.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/server_example.dir/server_example.cpp.s"
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples && /Library/Developer/CommandLineTools/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/examples/server_example.cpp -o CMakeFiles/server_example.dir/server_example.cpp.s

# Object files for target server_example
server_example_OBJECTS = \
"CMakeFiles/server_example.dir/server_example.cpp.o"

# External object files for target server_example
server_example_EXTERNAL_OBJECTS =

examples/server_example: examples/CMakeFiles/server_example.dir/server_example.cpp.o
examples/server_example: examples/CMakeFiles/server_example.dir/build.make
examples/server_example: src/libmcp.a
examples/server_example: examples/CMakeFiles/server_example.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable server_example"
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/server_example.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
examples/CMakeFiles/server_example.dir/build: examples/server_example
.PHONY : examples/CMakeFiles/server_example.dir/build

examples/CMakeFiles/server_example.dir/clean:
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples && $(CMAKE_COMMAND) -P CMakeFiles/server_example.dir/cmake_clean.cmake
.PHONY : examples/CMakeFiles/server_example.dir/clean

examples/CMakeFiles/server_example.dir/depend:
	cd /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/examples /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples /Users/hyde/Desktop/workspace/3rdparty/OpenManus/MCP/build/examples/CMakeFiles/server_example.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : examples/CMakeFiles/server_example.dir/depend

